package client

import (
	"reflect"
	"time"
)

const (
	// DefaultRequestTimeout is the default timeout for client request.
	DefaultRequestTimeout = 20 * time.Second

	// DefaultPendingMessages is the default number of pending messages
	// handled by Client and Server.
	DefaultPendingMessages = 32 * 1024
)

var uint64Type = reflect.TypeOf(uint64(0))
